com.threerings.micasa.simulator.server

## Class Simulant

- java.lang.Object
- - com.threerings.micasa.simulator.server.Simulant

    public abstract class Simulant
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Simulant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `init(com.threerings.crowd.data.BodyObject self, GameConfig config, GameManager gmgr, com.threerings.presents.dobj.DObjectManager omgr)` Initializes the simulant with a body object and the game config for the game they'll be engaged in.
`void` `willEnterPlace(com.threerings.crowd.data.PlaceObject plobj)` Called when the simulant is about to enter the room in which it will be doing all of its business.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Simulant

    public Simulant()

### Method Detail

#### init

    public void init(com.threerings.crowd.data.BodyObject self,
                     GameConfig config,
                     GameManager gmgr,
                     com.threerings.presents.dobj.DObjectManager omgr)

Initializes the simulant with a body object and the game config for the game they'll be engaged in.

#### willEnterPlace

    public void willEnterPlace(com.threerings.crowd.data.PlaceObject plobj)

Called when the simulant is about to enter the room in which it will be doing all of its business. Default implementation immediately notifies the game manager that the simulant is ready to play. Sub-classes may wish to override this to do things like subscribe to the game object, but should be sure to call this method when they're finished to give the game manager the go-ahead to proceed.